Debian Bug report logs - #539418
nvidia-cg-toolkit: New NVIDIA Cg Toolkit 2.2

version graph

Package: nvidia-cg-toolkit; Maintainer for nvidia-cg-toolkit is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-cg-toolkit is src:nvidia-cg-toolkit.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Fri, 31 Jul 2009 17:24:01 UTC

Severity: normal

Found in version nvidia-cg-toolkit/2.0.0015.deb3

Fixed in version nvidia-cg-toolkit/3.1.0013-1

Done: debian.micove@gmail.com (Miguel A. Colón Vélez)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Federico Di Gregorio <fog@debian.org>:
Bug#539418; Package nvidia-cg-toolkit. (Fri, 31 Jul 2009 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Federico Di Gregorio <fog@debian.org>. (Fri, 31 Jul 2009 17:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nvidia-cg-toolkit: New NVIDIA Cg Toolkit 2.2
Date: Fri, 31 Jul 2009 19:19:52 +0200
Package: nvidia-cg-toolkit
Version: 2.0.0015.deb3
Severity: normal


Please update to cg 2.2:

http://developer.download.nvidia.com/cg/Cg_2.2/Cg-2.2_April2009_x86_64.tgz

Thanks

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-bpo.1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nvidia-cg-toolkit depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  libcompress-zlib-perl         2.012-1    Perl module for creation and manip
ii  libwww-perl                   5.813-1    WWW client/server library for Perl
ii  perl                          5.10.0-19  Larry Wall's Practical Extraction 

nvidia-cg-toolkit recommends no packages.

nvidia-cg-toolkit suggests no packages.

-- debconf information:
  nvidia-cg-toolkit/httpget: true
  nvidia-cg-toolkit/local:
  nvidia-cg-toolkit/delete: true
  nvidia-cg-toolkit/not_exist:




Information forwarded to debian-bugs-dist@lists.debian.org, Federico Di Gregorio <fog@debian.org>:
Bug#539418; Package nvidia-cg-toolkit. (Fri, 11 Jun 2010 17:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Federico Di Gregorio <fog@debian.org>. (Fri, 11 Jun 2010 17:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 539418@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Federico Di Gregorio <fog@debian.org>
Cc: 539418@bugs.debian.org, 492762@bugs.debian.org
Subject: Orphaning nvidia-cg-toolkit and freeimage
Date: Fri, 11 Jun 2010 13:55:00 -0400
Hello Federico,

Were you planning on working on nvidia-cg-toolkit or freeimage anymore? I 
don't plan on working on those packages anymore and already delisted myself as 
a maintainer.

If you're not going to work on these packages anymore, then we should orphan 
them.

-- 
Regards,
Andres Mejia




Information forwarded to debian-bugs-dist@lists.debian.org, Federico Di Gregorio <fog@debian.org>:
Bug#539418; Package nvidia-cg-toolkit. (Sun, 01 Aug 2010 03:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Stewart <nstewart@nvidia.com>:
Extra info received and forwarded to list. Copy sent to Federico Di Gregorio <fog@debian.org>. (Sun, 01 Aug 2010 03:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 539418@bugs.debian.org (full text, mbox):

From: Nigel Stewart <nstewart@nvidia.com>
To: 539418@bugs.debian.org
Subject: Cg 3.0 (July 2010) .deb packages available directly from Nvidia
Date: Sat, 31 Jul 2010 22:13:47 -0500
Cg now provides x86 and amd64 .deb packages, beginning with Cg 3.0 (July 2010)
The current release supersedes all previous releases and is fully backwards compatible.

It is recommended that Ubuntu incorporate or adapt these as a replacement.
http://developer.nvidia.com/object/cg_download.html

For further discussion:
http://developer.nvidia.com/forums/index.php?showforum=14

- Nigel

-----------------------------------------------------------------------------------
This email message is for the sole use of the intended recipient(s) and may contain
confidential information.  Any unauthorized review, use, disclosure or distribution
is prohibited.  If you are not the intended recipient, please contact the sender by
reply email and destroy all copies of the original message.
-----------------------------------------------------------------------------------




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:45 GMT) Full text and rfc822 format available.

Reply sent to debian.micove@gmail.com (Miguel A. Colón Vélez):
You have taken responsibility. (Fri, 25 May 2012 18:51:15 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Fri, 25 May 2012 18:51:15 GMT) Full text and rfc822 format available.

Message #22 received at 539418-close@bugs.debian.org (full text, mbox):

From: debian.micove@gmail.com (Miguel A. Colón Vélez)
To: 539418-close@bugs.debian.org
Subject: Bug#539418: fixed in nvidia-cg-toolkit 3.1.0013-1
Date: Fri, 25 May 2012 18:47:49 +0000
Source: nvidia-cg-toolkit
Source-Version: 3.1.0013-1

We believe that the bug you reported is fixed in the latest version of
nvidia-cg-toolkit, which is due to be installed in the Debian FTP archive:

libcg_3.1.0013-1_amd64.deb
  to non-free/n/nvidia-cg-toolkit/libcg_3.1.0013-1_amd64.deb
libcggl_3.1.0013-1_amd64.deb
  to non-free/n/nvidia-cg-toolkit/libcggl_3.1.0013-1_amd64.deb
nvidia-cg-dev_3.1.0013-1_amd64.deb
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-dev_3.1.0013-1_amd64.deb
nvidia-cg-doc_3.1.0013-1_all.deb
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-doc_3.1.0013-1_all.deb
nvidia-cg-toolkit_3.1.0013-1.debian.tar.gz
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-toolkit_3.1.0013-1.debian.tar.gz
nvidia-cg-toolkit_3.1.0013-1.dsc
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-toolkit_3.1.0013-1.dsc
nvidia-cg-toolkit_3.1.0013-1_amd64.deb
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-toolkit_3.1.0013-1_amd64.deb
nvidia-cg-toolkit_3.1.0013.orig-amd64.tar.gz
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-toolkit_3.1.0013.orig-amd64.tar.gz
nvidia-cg-toolkit_3.1.0013.orig-i386.tar.gz
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-toolkit_3.1.0013.orig-i386.tar.gz
nvidia-cg-toolkit_3.1.0013.orig.tar.gz
  to non-free/n/nvidia-cg-toolkit/nvidia-cg-toolkit_3.1.0013.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539418@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Miguel A. Colón Vélez <debian.micove@gmail.com> (supplier of updated nvidia-cg-toolkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 24 May 2012 20:45:17 -0400
Source: nvidia-cg-toolkit
Binary: nvidia-cg-toolkit libcg libcggl nvidia-cg-dev nvidia-cg-doc
Architecture: source amd64 all
Version: 3.1.0013-1
Distribution: unstable
Urgency: low
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Changed-By: Miguel A. Colón Vélez <debian.micove@gmail.com>
Description: 
 libcg      - Nvidia Cg core runtime library
 libcggl    - Nvidia Cg Opengl runtime library
 nvidia-cg-dev - Cg Toolkit - GPU Shader Authoring Language (headers)
 nvidia-cg-doc - Cg Toolkit - GPU Shader Authoring Language (documentation)
 nvidia-cg-toolkit - Cg Toolkit - GPU Shader Authoring Language
Closes: 502457 506494 539418 610093 639857 649514
Changes: 
 nvidia-cg-toolkit (3.1.0013-1) unstable; urgency=low
 .
   [ Andreas Beckmann ]
   * Adopt package.  (Closes: #649514)
   * New Maintainer: Debian NVIDIA Maintainers.
   * New Uploaders: Miguel A. Colón Vélez, Russ Allbery, and myself.
   * Move packaging git repository to pkg-nvidia:
     git://git.debian.org/git/pkg-nvidia/nvidia-cg-toolkit.git
   * Acknowledge l10n NMUs.  (Closes: #610093)
   * Update Lintian overrides.
   * Review, reorder, and simplify the packaging.
   * Add XS-Autobuild: yes.
   * Use Breaks/Replaces: nvidia-cg-toolkit (<< ${source:Version}) to allow
     upgrades from old monolithic packages in Ubuntu and from NVIDIA.
   * Document a possible package build workflow in README.source.
   * Error out early if the .orig-*.tar.gz are not unpacked before build.
 .
   [ Miguel A. Colón Vélez ]
   * New upstream release 3.1.0013 (April 2012).
     - Since release 2.1 the upstream license allows redistribution, so convert
       the packaging from an installer package (in contrib) to a set of
       packages: nvidia-cg-{toolkit,dev,doc}, libcg, libcggl (in non-free).
     (Closes: #506494, #539418, #502457, #639857)
   * Remove installer script, debconf translations and related dependencies.
   * nvidia-cg-toolkit.preinst: Run installer script in uninstallation mode
     before upgrade.
   * Convert package to 3.0 (quilt) format.
   * Add watch file, get-orig-source target, and README.source.
   * Use two pristine upstream tarballs (*.orig-{amd64,i386}.tar.gz) and an
     empty *.orig.tar.gz (via create-empty-orig in debian/source/options).
   * Bump Standards-Version to 3.9.3.
   * Update copyright file as per DEP-5.
   * Bump debhelper to (>= 9) and compat version to 9.
   * Simplify the rules file by using the dh helper.
   * Change Section from contrib/libs to non-free/libs.
   * Update the README.Debian file and Homepage.
   * Add build dependencies for cginfo and cgfxcat.
   * Compile cginfo and cgfxcat instead of using the prebuilt binaries.
     - Ensure the hardened LDFLAGS are used.
     - Link cginfo and cgfxcat with --as-needed to reduce library footprint.
   * Don't strip the prebuilt binaries since stripping may violate the license
     (modifies binaries).
   * Use the manpages from version 3.0.0016 for the binaries in the
     nvidia-cg-toolkit package. They got removed upstream in version 3.1.0010 but
     are still included in the Cg Reference Manual.
     - Fix a spelling error in cgc.1 (compatable -> compatible).
   * Add multiarch support.
   * Create the libcg and libcggl packages.
     - Unfortunately upstream provides libraries with an unversioned SONAME.
     - Use Multi-Arch: same.
     - Breaks/Replaces old nvidia-cg-toolkit and libcg.
     - Create the libcg.symbols and libcggl.symbols files.
     - Create *.postinst/*.postrm according to Debian policy 8.1.1.
   * Create the nvidia-cg-dev package.
     - Use Multi-Arch: same.
     - Depend on the new libcg and libcggl packages.
     - Breaks/Replaces old nvidia-cg-toolkit.
   * Create the nvidia-cg-doc package.
     - Breaks/Replaces old nvidia-cg-toolkit.
     - Don't compress the examples (Makefile, *.h, *.c, *.cpp, *.cg).
     - Don't include the license.pdf/license.txt files since a verbatim copy is
       included in the copyright file.
     - Don't include the Microsoft Visual Studio files.
     - Don't include architecture dependent files. These files can be
       recompiled by the user since the sources are included.
   * Package nvidia-cg-toolkit:
     - Change Section to non-free/devel.
     - Depend on the new libcg, libcggl and nvidia-cg-dev packages.
     - Suggest the newly created nvidia-cg-doc package.
     - Update description using the latest information from the Nvidia website.
   * {libcg,nvidia-cg-doc}.postinst: Manually remove /usr/lib/libCg.so and
     /usr/lib/libCgGL.so. Due to the removal of the /usr/lib64 symlink, the
     installer script does not remove these files.
 .
   [ Russ Allbery ]
   * Add DM-Upload-Allowed: yes.
Checksums-Sha1: 
 3991a17313d187ddfbf10f721353b119c303d619 3041 nvidia-cg-toolkit_3.1.0013-1.dsc
 7e3d70fcb2246a577654e6b7fb141db907560c53 24829131 nvidia-cg-toolkit_3.1.0013.orig-amd64.tar.gz
 b0cdbcacd85716a80a90b7c65b817b6931df9d5b 23332348 nvidia-cg-toolkit_3.1.0013.orig-i386.tar.gz
 ab3311a31e796117f6c4ab8176ac1382aef100f3 65 nvidia-cg-toolkit_3.1.0013.orig.tar.gz
 c1612af6f721f015fdf9e09d87a254cd8e842389 24600 nvidia-cg-toolkit_3.1.0013-1.debian.tar.gz
 c998e23128816a7433ee8b545db111a0cd5bab88 2176854 nvidia-cg-toolkit_3.1.0013-1_amd64.deb
 76a378a921072d34a0563ff2c95c0d22ab7b112f 3859980 libcg_3.1.0013-1_amd64.deb
 baf97c4dd2f1d7d2452396fcf57315a308b3b115 197120 libcggl_3.1.0013-1_amd64.deb
 92bbefe83b9409d3b6e17b26c8a4535c5a9b6d5d 25592 nvidia-cg-dev_3.1.0013-1_amd64.deb
 39ec74b517a3875131356da38f4b79dac067c506 12760168 nvidia-cg-doc_3.1.0013-1_all.deb
Checksums-Sha256: 
 78241b7088b78ceb05cfb3cdf01303c28e796fd175813969ecb9f9122c722d73 3041 nvidia-cg-toolkit_3.1.0013-1.dsc
 e8ff01e6cc38d1b3fd56a083f5860737dbd2f319a39037528fb1a74a89ae9878 24829131 nvidia-cg-toolkit_3.1.0013.orig-amd64.tar.gz
 cef3591e436f528852db0e8c145d3842f920e0c89bcfb219c466797cb7b18879 23332348 nvidia-cg-toolkit_3.1.0013.orig-i386.tar.gz
 cd75abc9f0dc4d5132ac6892dd023f7abc54cce38e6c825348e21585fbc67b95 65 nvidia-cg-toolkit_3.1.0013.orig.tar.gz
 6f37878bd6609bfa8a8cfc2f5f78abb1d381fff42ac73d53166e11ecf6ead8b0 24600 nvidia-cg-toolkit_3.1.0013-1.debian.tar.gz
 7e958f01af397921b0b0060186597fb0abaa972ad0eed447d9a33a1103918b0c 2176854 nvidia-cg-toolkit_3.1.0013-1_amd64.deb
 24cfc20bdb735726ef106cce3e9524178393ae21efe010b7bfe7c3913834a4b5 3859980 libcg_3.1.0013-1_amd64.deb
 6f719432c71e57a19a07d7ce512cdc6accd65e5a094c86babed5ff1340eb4845 197120 libcggl_3.1.0013-1_amd64.deb
 9905711391af60886816be3d849ea8d360d599b3c4940c5edf217ab21cee42cb 25592 nvidia-cg-dev_3.1.0013-1_amd64.deb
 701121b0f9338861b9f55f05b954270d45e535aa31302805a17e6a3c46264987 12760168 nvidia-cg-doc_3.1.0013-1_all.deb
Files: 
 9bd091fb600f40bbbfa069ec18af4ccb 3041 non-free/libs extra nvidia-cg-toolkit_3.1.0013-1.dsc
 88ba727cdbe0261fac465c4d84f44762 24829131 non-free/libs extra nvidia-cg-toolkit_3.1.0013.orig-amd64.tar.gz
 9a9fc5108154808f3b10eafa54df1c74 23332348 non-free/libs extra nvidia-cg-toolkit_3.1.0013.orig-i386.tar.gz
 723ac9cc5e07d368f65cf5b83e70f48a 65 non-free/libs extra nvidia-cg-toolkit_3.1.0013.orig.tar.gz
 82dce7cbab9ed31a67a44a4e0b9c9142 24600 non-free/libs extra nvidia-cg-toolkit_3.1.0013-1.debian.tar.gz
 fbee5d89fbeffe256663ae7051692ada 2176854 non-free/devel extra nvidia-cg-toolkit_3.1.0013-1_amd64.deb
 e527991d2b744c6ea97408faeb3e22f6 3859980 non-free/libs extra libcg_3.1.0013-1_amd64.deb
 eb359bdcbb30b52e8a67b4b2e7696e5f 197120 non-free/libs extra libcggl_3.1.0013-1_amd64.deb
 0414233205466d7ab0559629f0978b4e 25592 non-free/libdevel extra nvidia-cg-dev_3.1.0013-1_amd64.deb
 a9b9a2650bcd5315fa46720be3c918ef 12760168 non-free/doc extra nvidia-cg-doc_3.1.0013-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPv7fGAAoJEAFx4YKK4JNFgWwQAJ+b/nRjZYAFrzEKjmWD9shx
HSyQ3EEMIpncGNgZUS41RaYJ/lwXqsm6+JCvjkrpR6uxe/E4K0/FKr3izwA62RCj
UyPSBJxcVEdihZyOY/6NnsqtUateXb1aqhNSnDpSVxBYPeCusC3+DYydHFJYHf+T
BzPljhWHvBthgJAR8zU678eHr0tOOQfrAJDyeiQTNPclLuBSmaJZF/hQKDI17P5/
kikirHC3AmmQeQ212U9RAHAAJdrqSmTtILxOZdQvPKjextQK9pFvCUrQU8girzq7
rHNRNUeZNo8DLdxej7mbpm1j8MRyVX2JLO0No9zShL7yhbrZkW7R0FDlDi3nrlz1
2FtY1veWwvm10vvgx9KG7cK/9jPp1byYGxmld04rYtOx8Ui2Dn68yhXSFS7jnsEG
LyweIY871WrfM3zLDULLtig5oBClWYiGKk8gZlyqjSJDJnP7xD46GjlBb1h9swbP
Qn5Nr38Yi4eeqiZpljuH5upwZ1R2e0yp8E4qFHuvK6oMC86wGGNM1MQgga1bCqI8
7wiNmGLDSxdlqRTK0jmWA5meEuwnz73rXuwsTYmI1vSL7TLERGVKi3iyeWvbOxDF
5aVos4ROHIg1zUCd3MWa2x7LgVx8zkOfzx3eHQYSYipl6K7S0DYQ3s39xPaTAOcp
qQZmz3gXQAj53Nja89uh
=bYrO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jul 2012 07:36:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:05:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.